Subject: [rbridge] VLAN Scoping / MAC Uniqueness

From: erik.nordmark at sun.com (Erik Nordmark)
Date: Fri, 09 Mar 2007 16:11:25 -0800

Caitlin Bestler wrote:

> This suggests three options:
> 
> 	1) Require all RBridges to scope on a per-VLAN basis.
> 	   The only real flaw in this is that it is a RBridge
> 	   requirement that does not apply to conventional bridges.
> 
> 	2) Allow all RBridges to have whatever scoping rules they
> 	   want, but require that all updates go to all RBridgges.
> 	   Each RBridge can judge for itself it the information is
> 	   relevant to it, and organize that data however it wants.
> 
> 	3) Punt: require the network adminstrator to ensure that naming
> 	   scopes enforced by RBRidges are "consistent" and provide
> 	   only text-based suggestions on how to achieve this.

I didn't see a conclusion on this discussion.

I think 802.1D mandates that bridges be capable of doing learning 
independently for each VLAN (what is called IVL). Thus mandating the 
same for RBridges (option 1 above) seems natural.

I think this means that the link state routing protocol needs to be able 
to carry <VLAN tag, L2 address> in the LSAs instead of just <L2 
address>. If that is correct then we should clarify this in the routing 
requirements. They currently say
    o  layer 2 addresses of nodes within the domain which have
       transmitted frames but have not transmitted ARP or ND replies
and that would need to be the tuple of VLAN tag and L2 address.

    Erik